package com.bocloud.cmp.provider.common;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * 成本管理
 */
public interface CostProvider extends SuperProvider {
    /**
     * 成本列表
     *
     * @return
     */
    default BocloudResult listByResource(String granularity, String metrics, String start, String end) {
        return new BocloudResult(false, "暂未开发！");
    }

    default BocloudResult cost(String billingCycle,String granularity,String billingDate) {
        return null;
    }
}
